## lvs 0.9.7-2

=== ipvsadm/Makefile ===
CC      = gcc
CFLAGS	= -Wall -Wunused -g -O2 -DCONFIG_IP_MASQUERADE_VS
SBIN    = /sbin
MAN     = /usr/man/man8
INSTALL = install
INCLUDE = -I../fake-include

all:            ipvsadm

ipvsadm:	ipvsadm.c
		$(CC) $(CFLAGS) $(INCLUDE) -o ipvsadm ipvsadm.c

install:        ipvsadm
		#strip ipvsadm
		$(INSTALL) -m 0755 -o root -g root ipvsadm $(SBIN)
		$(INSTALL) -m 0644 -o root -g root ipvsadm.8 $(MAN)

clean:
		rm -f ipvsadm *.o core *~

=== debian/changelog ===
lvs (0.9.7-2) unstable; urgency=low

  * Package is orphaned (see bug #114113). Setting maintainer to QA.
  * Suggest kernel-source virtual package rather than depending on specific
    (now outdated) versions (closes: #71791, #102791).
  * debian/copyright: Fix typos and correct upstream URL.
  * debian/control: Minor wording improvements to package description.
  * Policy version 3.5.6: add build dependencies and implement
    DEB_BUILD_OPTIONS.

 -- Colin Watson <cjwatson@debian.org>  Mon,  1 Oct 2001 19:43:45 +0100

lvs (0.9.7-1) unstable; urgency=low

  * Initial Release.
  * Mangled .orig.tar.gz to include patches for both 2.2.13 and 2.2.14
    and gui for ipvsadm (lvs-gui.)
  
 -- Federico Di Gregorio <fog@debian.org>  Wed, 26 Jan 2000 16:12:55 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: lvs
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 2.0.40)

Package: lvs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: kernel-source, mon, heartbeat
Description: Linux Virtual Server kernel patches and support programs
 The Linux Virtual Server is a highly scalable and highly available server
 built on a cluster of real servers. The architecture of the cluster is
 transparent to end users, and the users see only a single virtual
 server.
 .
 This package provides the kernel patches and some support programs
 necessary to implement a virtual server under Linux. With the addition
 of the mon and heartbeat packages it is possible to implement a complete
 high-availability solution for Linux.
 .
 This package includes kernel patches for 2.2.13 and 2.2.14 (0.9.7) and
 the ipvsadm program (0.9.7).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# Options taken from ipvsadm/Makefile; keep them in sync.
ifeq (debug,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS = -Wall -Wunused -g -O2 -DCONFIG_IP_MASQUERADE_VS
else
CFLAGS = -Wall -Wunused -O2 -DCONFIG_IP_MASQUERADE_VS
endif

LVSGUI =	lvs-gui-0.0.2
IPVSADM =	ipvsadm

build: build-stamp
build-stamp:
	dh_testdir
	cd $(IPVSADM) && $(MAKE) CFLAGS="$(CFLAGS)"
	#cd $(LVSGUI) && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-cd $(IPVSADM) && $(MAKE) clean
	#-cd $(LVSGUI) && $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd $(IPVSADM) && $(MAKE) install SBIN=`pwd`/../debian/tmp/sbin \
	    MAN=`pwd`/../debian/tmp/usr/share/man/man8
	#cd $(LVSGUI) && $(MAKE) install BUILD_ROOT=`pwd`/../debian/tmp
	#rm -fr debian/tmp/etc
	install -m 644 ipvs-*.patch debian/tmp/usr/src

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	cp ipvsadm/README debian/tmp/usr/share/doc/lvs/README.ipvsadm
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
